program tunneler;

{$mode delphi}{$H+}

uses
  {$DEFINE UseCThreads}
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads, clocale,
  {$ENDIF}{$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms, TemplateGenerics, CoolTranslator, UPlatform, FileUtil, SysUtils,
  Common,
  UNewGameForm, UMainForm, UMapForm, UGameResultForm, UCore
  { you can add units after this };

{$R *.res}

{$IFDEF DEBUG}
const
  HeapTraceLog = 'heaptrclog.trc';
{$ENDIF}

begin
  {$IFDEF DEBUG}
  // Heap trace
  DeleteFile(ExtractFilePath(ParamStr(0)) + HeapTraceLog);
  SetHeapTraceOutput(ExtractFilePath(ParamStr(0)) + HeapTraceLog);
  {$ENDIF}

  Application.Scaled:=True;
  Application.Initialize;
  Application.CreateForm(TCore, Core);
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TMapForm, MapForm);
  Application.CreateForm(TNewGameForm, NewGameForm);
  Application.CreateForm(TGameResultForm, GameResultForm);
  {$IFDEF DEBUG}
  {$ENDIF}
  Application.Run;
end.

